<ui:composition
        xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
        xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="objecClassDetailsForm">
        <s:token allowMultiplePosts="true"/>
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="objecClassDetails"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.hpd.ObjectClassDetails']}</ui:define>
            <s:div rendered="#{oc == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.hpd.NoObjectClassSelected']}"/>
            </s:div>
            <s:div rendered="#{oc != null}">
                <!-- param: oc -->
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Name']}</ui:define>
                    <h:outputText value="#{oc.name}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                    <h:outputText value="#{oc.oid}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                    <h:outputText value="#{oc.description}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.SuperiorClass']}</ui:define>
                    <h:outputText value="#{oc.supobjectclass}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Type']}</ui:define>
                    <h:outputText value="#{oc.typeobjectclass}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.MandatoryAttributes']}</ui:define>
                    <rich:list value="#{oc.must}" var="mustItem" type="unordered">
                        <h:outputText value="#{mustItem}"/>
                    </rich:list>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.OptionalAttributes']}</ui:define>
                    <rich:list value="#{oc.may}" var="mayItem" type="unordered">
                        <h:outputText value="#{mayItem}"/>
                    </rich:list>
                </s:decorate>
            </s:div>
            <ui:define name="popup_footer">
                <button type="button" class="gzl-btn" data-dismiss="modal">
                    #{messages['users.Cancel']}
                </button>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
